*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    text-decoration: none;
    border:none;
    outline:none;
    scroll-behavior: smooth;
    font-family:'Poppins',sans-serif;
}
:root{
    background-color: #1f242d;
    color:#fff; 
}
html{
    font-size:62.5%;
    overflow-x: hidden;
}
body{
    background: var(background-color);
    color:var(color);
}
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    padding:2rem 9%;
    background: var(background-color);
    display: flex;
    justify-content: space-between;
    align-items:center;
    z-index:100;
    transition: .3s;
}
header.sticky{
    background-color:#1f242d;
}
.logo{
    padding-left: 0px;
    font-size:2.5rem;
    color:#fff;
    font-weight:600;
    cursor:default;
}
.navbar a {
    font-size:1.7rem;
    color:#fff;
    margin-left:4rem;
    transition: 0.3s;
}
a:hover,
a.active{
    color: aqua;
}
#menu-icon{
    font-size: 3.6rem;
    color: #fff;
    display: none;
}
section{
    min-height:100vh ;
    padding:10rem .9rem 2rem;
}
#home{
   display:flex;
   color: #fff;
   /*display: none; */
}
.home{
    display: flex;
    justify-content: center;
    align-items: center;
}
img{
    padding-top: 40px;
    width:700px;
    padding-left: 10%;
    animation:floatImage 4s ease-in-out infinite;
}
@keyframes floatImage{
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-2.4rem);
    }
    100%{
        transform: translateY(0);
    }
}
.home{
    padding-left: 125px;
    padding-top: 20px;
}
.home-content h3{
    font-size:3.2rem;
    font-weight:700;
}
.home-content h3:nth-of-type(2){
    margin-bottom: 2rem;
}
span{
    color: aqua;
}
.home-content h1{
    font-size:5.6rem;
    font-weight:700;
    line-height: 1.3;
}
.home-content p{
    font-size:1.6rem;
}
.social-media a{
    display:inline-flex;
    justify-content: center;
    align-items: center;
    width:4rem;
    height:4rem;
    background:transparent;
    border:.2rem solid aqua;
    border-radius: 50%;
    font-size:2rem;
    color:aqua;
    margin: 1rem 2.5rem 1rem 0;
    transition: .5s ease;
}
.social-media a:hover{
    background-color: aqua;
    color:#1f242d;
    box-shadow: 0 0 1rem aqua;
}
.btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background-color: aqua;
    border-radius: 4rem;
    box-shadow: 0 0 1rem aqua;
    font-size: 1.6rem;
    color: #1f242d;
    letter-spacing: .1rem;
    font-weight: 600;
    transition: 0.5s ease;
}
.btn:hover{
    box-shadow: none;
    color: #1f242d;
}
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap:2rem;
    background-color:#1f242d;
}
.about-img img{
    width: 40vw;
}
.heading{
    text-align: center;
    font-size: 4.5rem;
}
.about-content h2{
    text-align: left;
    line-height:1.2;
}
.about-content h3{
    font-size: 2.6rem;
}
.about-content p{
    font-size:1.9rem;
    margin: 1rem 3rem 1rem 0;
}
.skills{
    min-height:auto;
    padding-bottom:7rem;
    background:#1f242d ;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5%;
}
.skills .skills-row{
    display:flex;
    flex-wrap:wrap;
    gap:5rem;
}
.skills-row .skills-column{
    flex:1 2 40rem;
}
.skills-column .title{
    font-size:2.5rem;
    margin:0 0 1.5rem;
}
.skills-box .skills-content{
    position:relative;
    border: .2rem solid aqua;
    border-radius:  .6rem;
    padding: .5rem 1.5rem;
    z-index:1;
    overflow: hidden;
}
.skills-box .skills-content::before{
    content:'';
    position: absolute;
    top:0;
    left:0;
    width:0;
    height:100%;
    background:#323946;
    z-index:-1;
    transition: .5s;
}
.skills-box .skills-content:hover:before{
    width:100%;
}
.skills-content .progress{
    padding:1rem 0;
}
.skills-content .progress h3{
    font-size: 1.7rem;
    display: flex;
    justify-content: space-between;
}
.skills-content .progress h3 span{
    color:#fff;
}
.skills-content .progress .bar{
    height: 2.5rem;
    border-radius: .6rem;
    border: .2rem solid aqua;
    padding: .5rem;
    margin: 1rem 0;
}
.skills-content .progress .bar span{
    display: block;
    height: 100%;
    border-radius:  .3rem;
    background: aqua;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(1) .bar span{
    width:85%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(2) .bar span{
    width:80%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(3) .bar span{
    width:75%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(4) .bar span{
    width:70%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(5) .bar span{
    width:75%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(1) .bar span{
    width:85%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(2) .bar span{
    width:90%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(3) .bar span{
    width:70%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(4) .bar span{
    width:90%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(5) .bar span{
    width:85%;
}
.education{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: auto;
    padding-bottom: 5rem;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5%;
}
.education .education-row{
    display:flex;
    flex-wrap:wrap;
    gap:5rem;
}
.education-row .education-column{
    flex:1 1 40rem;
}
.education-column .title{
    font-size: 2.5rem;
    margin:0 5 1.5rem 2rem;
}
.education-column .education-box{
    border-left: .2rem solid aqua;
}
.education-box .education-content{
    position: relative;
    padding-left: 2rem;
}
.education-box .education-content::before{
    content:'';
    position:absolute;
    top:0;
    left:-1.1rem;
    width:2rem;
    height: 2rem;
    background: aqua;
    border-radius: 50%;
}
.education-content .content{
    position: relative;
    padding:1.5rem;
    border: .2rem solid aqua;
    border-radius:  .6rem;
    margin-bottom: 2rem;
    z-index:1;
    overflow: hidden;
}

.education-content .content::before{
    content:'';
    position: absolute;
    top:0;
    left:0;
    width:0;
    height:100%;
    background:#323946;
    z-index:-1;
    transition: .5s;
}

.education-content .content:hover:before{
    width:100%;
}
.education-content .content .year{
    font-size: 1.5rem;
    color:aqua;
    padding-bottom: .5rem;
}
.education-content .content .year i{
    padding-right: .5rem;
}
.education-content .content h3{
    font-size: 2rem;
}
.education-content .content p{
    font-size:1.6rem;
    padding-bottom: .5rem;
}
.contact h2{
    margin-bottom:3rem;
}
.contact form{
    max-width:70rem;
    margin:1rem auto;
    text-align:center;
    margin-bottom:3rem;
}
.contact form .input-box{
    display:flex;
    justify-content: space-between;
    flex-wrap:wrap;
}
.contact form .input-box input,
.contact form textarea{
    width:100%;
    padding:1.5rem;
    font-size:1.6rem;
    color:#fff;
    background: #323946;
    border-radius:  .8rem;
    margin: .7rem 0;
}
.contact form .input-box input{
    width:49%;
}
.contact form textarea{
    resize: none;
}
.contact form .btn{
    margin-top:2rem;
    cursor:pointer;
}

.footer{
    display:flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap:wrap;
    padding:2rem 9%;
    background: #323946;
}
.footer-text p{
    font-size:1.6rem;
}
.footer-iconTop a{
    display: inline flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: aqua;
    border-radius: .8rem;
    transition: .5s ease;

}
.footer-iconTop a i{
    font-size:2.4rem;
    color:#1f242d;
}
.footer-iconTop a:hover{
    box-shadow: 0 0 1rem aqua;
}
@media(max-width:1200px){
    html{
        font-size:55%;
    }
}
@media(max-width:991px){
    .header{
        padding:2rem 4%;
    }
    section{
        padding:10rem 4% 2rem;
    }
    .home{
        padding:0 4%;
    }
    .footer{
        padding:2rem 4%;
    }
}  
@media(max-width:768px){
    .header{
        background-color: #1f242d;
    }
    #menu-icon{
        display: block;
    }
    .navbar{
        position:absolute;
        top:100%;
        left:-100%;
        width:100%;
        padding:1rem 4%;
        background:aqua;
        z-index: 1;
        box-shadow:0 .5rem 1rem rgba(0,0,0, .2);
        transition: .25s ease;
        transition-delay: .25s;
    }
    .navbar.active{
        left:0;
        transition-delay: 0s;
    }
    .navbar .active-nav{
        position: absolute;
        top:0;
        left:-100%;
        width: 100%;
        height: 100%;
        background:#1f242d;
        border-top: .1rem solid rgba(0,0,0,.2);
        z-index: -1;
        transition: .25s ease;
        transition-delay: 0s;
    }
    .navbar.active .active-nav
{
    left:0;
    transition-delay: .25s;
}    .navbar a{
        display:block;
        font-size:2rem;
        margin:3rem 0;
        transform: translateX(-20rem);
        transition: .25s ease;
        transition-delay: 0s;
    }
    .navbar.active a{
        transform: translateX(0);
        transition-delay: .25s;
    }
    .home{
        padding-top: 10rem;
        flex-direction: column;
        gap: 1px;
    }
    .home-content h3{
        font-size:2.6rem;
    }
    .home-content h1{
        font-size: 5rem;
    }
    .home-img img{
        padding-top: 0.1rem;
        width: 70vw;
        margin-top: 0.1rem;
    }
    .about{
        flex-direction: column-reverse;
        width: fit-content;
    }
    .about img{
        width:70vw;
        margin-top:0.001rem;
        padding: 0px 0px 0px 70px;
    }
    .skills{
        padding-top: 15%;
    }
    .education{
        padding-top: 15%;
    }
    .contact{
        min-height: auto;
    }
    .footer{
        padding:2rem 3%;
    }
}
@media (max-width:365px){
    .home-img img{
        width:90vw;
    } 
    .about-img img{
        width:90vw;
    }
    .footer{
        flex-direction: column-reverse;
    }
    .footer p{
        text-align:center;
        margin-top:2rem;
    }
}
@media only screen and (max-width: 480px){
        html{
            font-size:50%;
        }
        .contact form .input-box input{
            width:100%;
        }
        img{
            animation:none;
        }
        .about{
            margin-top:70px;
        }
        .about img{
            width:70vw;
            margin-top:0.001rem;
            padding-left:0%;
        }
        .about-content p{
            font-size:1.9rem;
            margin: 1rem;
            width: 100%;
        }
        .education{
            padding-top:100px;
            padding-left: 10px;
            width:100%;
        }
        .skills{
            padding-top:100px;
            padding-left: 10px;
            width:100%;
        }
}
